org.apache.ode.dao.jpa

## Class JpaTxMgrProvider

- java.lang.Object
- - org.apache.ode.dao.jpa.JpaTxMgrProvider

- All Implemented Interfaces:
    org.apache.openjpa.ee.ManagedRuntime

      public class JpaTxMgrProvider
      extends java.lang.Object
      implements org.apache.openjpa.ee.ManagedRuntime

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaTxMgrProvider(javax.transaction.TransactionManager txMgr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doNonTransactionalWork(java.lang.Runnable runnable)`
    `java.lang.Throwable` | `getRollbackCause()`
    `java.lang.Object` | `getTransactionKey()`
    `javax.transaction.TransactionManager` | `getTransactionManager()`
    `void` | `setRollbackOnly(java.lang.Throwable cause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaTxMgrProvider

          public JpaTxMgrProvider(javax.transaction.TransactionManager txMgr)

  - ### Method Detail

    - #### getTransactionManager

          public javax.transaction.TransactionManager getTransactionManager()
                                                                     throws java.lang.Exception

      Specified by:
        `getTransactionManager` in interface `org.apache.openjpa.ee.ManagedRuntime`
      Throws:
        `java.lang.Exception`

    - #### setRollbackOnly

          public void setRollbackOnly(java.lang.Throwable cause)
                               throws java.lang.Exception

      Specified by:
        `setRollbackOnly` in interface `org.apache.openjpa.ee.ManagedRuntime`
      Throws:
        `java.lang.Exception`

    - #### getRollbackCause

          public java.lang.Throwable getRollbackCause()
                                               throws java.lang.Exception

      Specified by:
        `getRollbackCause` in interface `org.apache.openjpa.ee.ManagedRuntime`
      Throws:
        `java.lang.Exception`

    - #### getTransactionKey

          public java.lang.Object getTransactionKey()
                                             throws java.lang.Exception,
                                                    javax.transaction.SystemException

      Specified by:
        `getTransactionKey` in interface `org.apache.openjpa.ee.ManagedRuntime`
      Throws:
        `java.lang.Exception`
        `javax.transaction.SystemException`

    - #### doNonTransactionalWork

          public void doNonTransactionalWork(java.lang.Runnable runnable)
                                      throws javax.transaction.NotSupportedException

      Specified by:
        `doNonTransactionalWork` in interface `org.apache.openjpa.ee.ManagedRuntime`
      Throws:
        `javax.transaction.NotSupportedException`